html, body {
    margin: 0;
    padding: 0;
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
}

#loginMenu {
    height: 25px;
    color: white;
    line-height: 25px;
    text-align: right;
    font-weight: bold;
    padding-right: 20px;
    background-color: #2c2c2c;
}

#loginMenu ul {
    float: right;
    list-style: none;
    align-items: center;
    margin-top: -2px;
}

#loginMenu ul li {
    height: 25px;
    line-height: 25px;
    margin-right: 10px;
    margin-left: 10px;
    display: inline;
}

#loginMenu ul li a {
    color: white;
    text-decoration: none;
}

#logo {
    height: 54px;
    background-color: white;
}

#logo img {
    height: 48px;
    padding: 4px;
}

#top-menu {
    height: 48px;
    width: 100%;
    color: white;
    font-size: 20px;
    font-weight: bold;
    background-color: #2c2c2c;
}

#top-menu ul {
    float: left;
    width: 83%;
    line-height: 48px;
    list-style: none;
    align-items: center;
    margin-top: 2px;
    margin-left: 175px;
    cursor: pointer;
}

#top-menu ul li {
    display: inline;
    padding-right: 15px;
    padding-left: 15px;
}

#top-menu ul li:hover {
    display: inline;
    padding-right: 15px;
    padding-left: 15px;
    background-color: rgba(0,0,0,0.25);
}

#top-menu ul li button {
	background-color: #4CAF50;
	color: white;
	padding: 5px 20px;
	border: none;
	border-radius: 4px;
	cursor: pointer;
}

#top-menu ul li a {
    color: white;
    text-decoration: none;
}

#content {
    flex-grow: 1;
    display: flex;
    background-color: #2c2c2c;
}

#left-menu {
    width: 200px;
    background-color: #2c2c2c;
}

#left-menu h3{
  color: white;
}

#left-menu ul {
    padding: 0px;
    margin: 0px;
    margin-top: 10px;
    width: 100%;
    color: white;
    list-style: none;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;
}

#left-menu ul li {
    width: 100%;
    padding-top: 3.5px;
    padding-bottom: 3.5px;
    text-align: center;
}

#left-menu ul li:hover {
    width: 100%;
    padding-top: 2.5px;
    padding-bottom: 2.5px;
    text-align: center;
    background-color: rgba(0,0,0,0.25);
    border-bottom: 1px solid white;
    border-top: 1px solid white;
}

#left-menu ul li a {
    text-decoration: none;
}

#left-menu ul li a:hover {
    text-decoration: none;
}

#left-menu ul li a:visited {
    text-decoration: none;
    color: white;
}

#left-menu ul li button {
  display: none; /* Initially hidden */
  background-color: #4CAF50;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

#left-menu ul li callButton {
  display: none; /* Initially hidden */
  background-color: #4CAF50;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

#left-menu ul li textButton {
  display: none; /* Initially hidden */
  background-color: #4CAF50;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

#main-content {
    flex-grow: 1;
    background-color: white;
    color: black;
    width: 90%;
    border-top-left-radius: 10px;
    border-left: 1px solid gray;
    border-top: 1px solid gray;
    border-bottom: 1px solid black;
    padding-left: 10px;
}

#main-content p {
    width: 90%;
    word-wrap: break-word;
}

#footer {
    text-align: center;
    background-color: #2c2c2c;
    color: white;
    padding: 10px;
}

.left {
    float: left;
    width: 50px;
}

.right {
    float: right;
    width: 50px;
}

.blog-entry {
    border-top: 1px solid gray;
    border-bottom: 1px solid black;
    margin-bottom: 3px;
}

.blog-entry a {
    text-decoration: none;
    width: 325px;
}

.blog-entry img{
	padding-right: 30px;
	margin-bottom: 10px;
}

.blog-entry ul{
  margin-left: 30px;
}

.pretty-button {
    display: inline-block;
    width: 325px;
    height: 50px;
    padding: 10px 20px;
    background-color: gray;
    color: white;
    text-align: center;
    text-decoration: none;
    line-height: 32px;
    font-weight: bold;
    font-size: 24px;
    margin-bottom: 10px;
    cursor: pointer;
}
.pretty-button:hover {
    background-color: lightgrey;
    box-shadow: 0 2px 0px black, 2px 0 0px black;
}

.ServicesCon {
  width: 100%;
}

.full-width-div {
  width: 100%;
  float: left;
  /* This will make the divs at top and bottom fill the remaining space */
}

.full-width-div ul {
  list-style-type: none;
}

.full-width-div ul li {
  font-weight: bold;
  font-size: 15px;
}

.nested-div {
  width: 50%;
  float: left;
  clear: right;
}

.nested-div ul {
  list-style-type: none;
}

.nested-div ul li {
  font-weight: bold;
  font-size: 15px;
}

